跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!

Get a commit's statuses, by branch/tag/commit reference

GET
/repos/{owner}/{repo}/commits/{ref}/statuses
curl --request GET \
--url 'https://gitea.com/api/v1/repos/example/example/commits/example/statuses?sort=oldest&state=pending' \
--header 'Authorization: Basic <credentials>'
owner
required
string

Owner of the repo

repo
required
string

Name of the repo

ref
required
string

Name of branch/tag/commit

sort
string
Allowed values: oldest recentupdate leastupdate leastindex highestindex

Type of sort

state
string
Allowed values: pending success error failure warning

Type of state

page
integer

Page number of results to return (1-based)

limit
integer

Page size of results

CommitStatusList

Media typeapplication/json
Array<object>

CommitStatus holds a single status of a single Commit

object
context

Context is the unique context identifier for the status

string
created_at
string format: date-time
creator

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

Login of the user, same as username

string
login_name

Identifier of the user, provided by the external authenticator (if configured)

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private public UserVisibilityPublic limited UserVisibilityLimited private UserVisibilityPrivate

string
Allowed values: public limited private
website

The user’s website

string
description

Description provides a brief description of the status

string
id

ID is the unique identifier for the commit status

integer format: int64
status

State represents the status state (pending, success, error, failure) pending CommitStatusPending is for when the CommitStatus is Pending success CommitStatusSuccess is for when the CommitStatus is Success error CommitStatusError is for when the CommitStatus is Error failure CommitStatusFailure is for when the CommitStatus is Failure warning CommitStatusWarning is for when the CommitStatus is Warning skipped CommitStatusSkipped is for when CommitStatus is Skipped

string
Allowed values: pending success error failure warning skipped
target_url

TargetURL is the URL to link to for more details

string
updated_at
string format: date-time
url

URL is the API URL for this status

string
Example
[
{
"creator": {
"login_name": "empty",
"visibility": "public"
},
"status": "pending"
}
]

APIError is error format response

Media typeapplication/json
message
string
url
string

APINotFound is a not found empty response

Media typeapplication/json